/**
* GENERIC JAVASCRIPT FUNTIONS
*
* VERSION 1.0, 2011-09-10
* By: Five East Ltd. - office@fiveeast.net
*
*/

/**
* jQuery Plugin: "FieldHint"
*/
jQuery.fn.extend({ fieldhint: function (options) { return this.each(function () { new jQuery.FieldHint(this, options); }); } }); jQuery.FieldHint = function (element, options) {
    var defaultValue = $(element).val(); $(element).addClass("fieldhint-blur"); $(element).bind("focus", function (e) {
        if (defaultValue == $(this).val())
            $(this).val(''); $(this).removeClass("fieldhint-blur");
    }).bind("blur", function (e) { if (!$(this).val()) { $(this).val(defaultValue); $(this).addClass("fieldhint-blur"); } }); $("form:has(#" + element.id + ")").bind('reset', function (e) { $(element).val(defaultValue); $(element).removeClass(options.changeClass); $(element).addClass("fieldhint-blur"); }).bind('submit', function (e) {
        if ($(element).val() == defaultValue)
            $(element).val('');
    });
};

/**
* Init onload
*/
$(document).ready(function () {
    // Add CSS helper classes to tables and lists
    $("table").not(".no-formatting").each(function () {
        $(this).find('tbody tr:first-child').addClass('first-child');
    });
    $("table").not('.tablesorter, .layout, #highlights-table, .no-formatting').each(function () {
        $(this).find('tr:odd').addClass('odd');
    });
    $("table").not(".no-formatting").each(function () {
        $(this).find('tr th:last-child, tr td:last-child').addClass('last-child');
    });
    // Init form elements with fieldhint class attached
    $(".fieldhint").fieldhint();

    /* Searchbox Focus */
    $("#keywords").focus(function () {
        $("#searchbox").addClass("focus");
    }).blur(function () {
        $("#searchbox").removeClass("focus");
    });

});